gstreamermm: Gst::VideoSink Class Reference

# Gst::VideoSink Class Reference
[gstreamermm Base Classes]

Gst::VideoSink - Base class for video sinks. More...

`#include <videosink.h>`

Inheritance diagram for Gst::VideoSink:

List of all members.

## Public Member Functions
virtual | ~VideoSink ()
GstVideoSink* | gobj ()
| Provides access to the underlying C GObject.
const GstVideoSink* | gobj () const
| Provides access to the underlying C GObject.
GstVideoSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
int | get_height () const
| Get height of Gst::VideoSink.
int | get_width () const
| Get width of Gst::VideoSink.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::VideoSink> | wrap (GstVideoSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::VideoSink - Base class for video sinks.

Provides useful functions and a base class for video sinks.

Gst::VideoSink will configure the default base sink to drop frames that arrive later than 20ms as this is considered the default threshold for observing out-of-sync frames.

## Constructor& Destructor Documentation

virtual Gst::VideoSink::~VideoSink | ( |  | ) | `[virtual]`

## Member Function Documentation

GstVideoSink* Gst::VideoSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

const GstVideoSink* Gst::VideoSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

GstVideoSink* Gst::VideoSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

Reimplemented in Gst::XImageSink, and Gst::XvImageSink.

int Gst::VideoSink::get_height | ( |  | ) | const

Get height of Gst::VideoSink.

int Gst::VideoSink::get_width | ( |  | ) | const

Get width of Gst::VideoSink.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::VideoSink> wrap | ( | GstVideoSink * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- videosink.h